package net.dotmyself.wsclient;

import net.dotmyself.ws.Department;
import net.dotmyself.ws.DepartmentInformationService;
import net.dotmyself.ws.DepartmentService;

/**
 * Synchronous Client for Department's Web service
 *
 * @author Hyacinthe MENIET
 */
public class SynchDepartmentWSClient {

    public static void main(String[] args) {
        if (args == null || args.length < 1) {
            throw new IllegalArgumentException("You must indicate a department code");
        }
        int code;
        code = Integer.parseInt(args[0]);
        // Synchronous Invocation
        DepartmentInformationService departInfoService;
        departInfoService = new DepartmentInformationService();
        DepartmentService departService = departInfoService.getDepartmentServicePort();
        Department dept = departService.getDepartment(code);
        System.out.println("Urbanization="
                + "Population =" + dept.getPopulation() + " habs, "
                + "Surface=" + dept.getSurface() + " km2, " + dept.getUrbanization());
    }

}
